# $Revision: 1.4 $, $Date: 2009/03/13 11:31:36 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	RT
%define	pnam	Authen-ExternalAuth
Summary:	RT::Authen::ExternalAuth - RT Authentication using External Sources
Name:		perl-RT-Authen-ExternalAuth
Version:	0.08
Release:	2
License:	GPL version 2
Group:		Development/Languages/Perl
URL:		http://search.cpan.org/dist/RT-Authen-ExternalAuth/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rt >= 3.8.0
Source0:	http://www.cpan.org/modules/by-module/RT/%{pdir}-%{pnam}-%{version}.tar.gz	
# Source0-md5:	ba591003a2ca39ac2965b548e158a34f
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A complete package for adding external authentication mechanisms to
RT. It currently supports LDAP via Net::LDAP and External Database
authentication for any database with an installed DBI driver.

It also allows for authenticating cookie information against an
external database through the use of the RT-Authen-CookieAuth
extension.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

cp etc/RT_SiteConfig.pm RT_SiteConfig.pm.example

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README RT_SiteConfig.pm.example
%{perl_vendorlib}/RT/*.pm
%dir %{perl_vendorlib}/RT/Authen
%{perl_vendorlib}/RT/Authen/*.pm
%dir %{perl_vendorlib}/RT/Authen/ExternalAuth
%{perl_vendorlib}/RT/Authen/ExternalAuth/*.pm
%dir %{perl_vendorlib}/RT/Authen/ExternalAuth/DBI/
%{perl_vendorlib}/RT/Authen/ExternalAuth/DBI/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-RT-Authen-ExternalAuth.spec,v $
Revision 1.4  2009/03/13 11:31:36  paszczus
- added example config, rel 2

Revision 1.3  2009/03/13 11:15:08  paszczus
- updated to 0.08

Revision 1.2  2009/01/19 17:51:46  paszczus
- added %dir

Revision 1.1  2009/01/19 17:41:13  paszczus
- initial

